
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-AMB
Summary:		Ambisonics LADSPA plugins
Version:		0.6.1
Release:		0.pm.2.3
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			AMB-plugins-%{version}.tar.bz2
URL:			http://www.kokkinizita.net/linuxaudio/ladspa/index.html
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
A set of first order Ambisonics plugins I use with Ardour. Included
are: mono and stereo input panner, horizontal rotation, and square
and hexagon horizontal decoders. See the README for more.



%prep
%setup -q -n AMB-plugins-%{version}

%{__perl} -p -i -e "s|/usr/lib/ladspa|\\$\(DESTDIR\)%{_libdir}/ladspa|g" Makefile

# use the system version of ladspa.h
%__rm ladspa.h

%build
%__make %{?jobs:-j%{jobs}} \
	CPPFLAGS="-I. -fPIC -D_REENTRANT $RPM_OPT_FLAGS"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%makeinstall

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Mon Mar 15 2010 Toni Graffy <toni@links2linux.de> - 0.6.1-0.pm.1
- update to 0.6.1
* Mon Feb 02 2009 Toni Graffy <toni@links2linux.de> - 0.4.0-0.pm.1
- update to 0.4.0
* Wed Sep 25 2007 Toni Graffy <toni@links2linux.de> - 0.3.0-0.pm.1
- update to 0.3.0
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.1.0-0.pm.1
- splitt-off from ladspa package
